import { select, json, geoPath, geoMercator } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const projection = geoMercator();
const pathGenerator = geoPath().projection(projection);


json("https://unpkg.com/topojson@3")
  .then(data => {
  console.log(data);
  const countries = feature(data, data.objects.countries);
	svg.selectAll("path").data(countries.features)
  .enter().append('path')
  .attr('d', d => pathGenerator(d))
  .transition().duration(2000);
});











